@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
  font-family: Montserrat, sens-serif;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  /* font-family: Arial, sans-serif; */
  /*   font-family: Tahoma, sans-serif; */
  margin: 0;
  padding: 0;
  /* display: flex;
  position: relative;
  */
}

body ::selection {
  color: rgb(0, 0, 255);
  background-color: #6ac76a;
}

.wrapper {
  display: grid;
  margin: 0 auto;
  width: 98%;
  height: 100vh;
  max-width: 1440px;
  gap: 3px;
  grid-template-columns: repeat(9, 1fr);
  grid-auto-rows: minmax(50px, auto);
  grid-template-areas:
    "hd  hd   hd   hd   hd   hd    hd   hd   hd"
    "sd  sd   main main main main  main main main"
    "ft  ft   ft   ft   ft   ft    ft   ft   ft";
  overflow: hidden;
}

.header {
  grid-area: hd;
  position: relative;
  display: grid;
  grid-template-columns: 60px auto 30%;
  background-color: #6ac76a;
  max-height: 50px;
  min-width: 55px;
}

.logo {
  overflow: hidden;
  display: flex;
  position: relative;
}

.logo img {
  width: auto;
  height: 100%;
  margin: auto;
  justify-content: center;
  align-items: center;
}

.navigation {
  width: 100%;
  z-index: 25;
}

.footer {
  grid-area: ft;
  display: flex;
  position: relative;
  background-color: #6ac76a;
  align-items: center;
  justify-content: center;
  font-size: xx-large;
  width: 100%;
  z-index: 3;
  max-height: 40px;
  user-select: none;
}

#search-btn:hover,
#close-btn:hover,
#btn-category:hover,
#btn-search:hover,
#btn-search-clear:hover {
  background-color: #4caf50;
  color: #c4f7a7;
}

#search-btn:active,
#close-btn:active,
#btn-category:active,
#btn-search:active,
#btn-search-clear:active {
  background-color: #39853b;
  color: #c4f7a7;
}

.search {
  flex-direction: row;
  position: relative;
  height: 60%;
  max-width: 60%;
}

#search-input {
  width: 65%;
}

#btn-search-clear {
  width: 35%;
  background-color: #6ac76a;
  align-items: center;
  justify-content: center;
  display: flex;
  font-size: 1rem;
  color: white;
  padding: 0 20px;
}

.content {
  font-weight: 400;
  grid-area: main;
  position: relative;
  grid-template-rows: auto;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 5px;
  height: initial;
  overflow-y: scroll;
  min-height: initial;
  scroll-behavior: smooth;
  padding-left: 1%;
  padding-right: 1%;
}

.content:last-child {
  padding-bottom: 12%;
}

.sidebar {
  grid-area: sd;
  /* display: grid; */
  grid-template-rows: repeat(auto-fit, auto);
  gap: 0;
  background-color: #6ac76a;
  color: #3d550c;
  font-weight: 500;
  border: 1px solid #3d550c;
  overflow: auto;
}

.sidebar-item {
  display: grid;
  background-color: #6ac76a;
  font-size: clamp(0.75rem, -1.2rem + 4.27vw, 1rem);
  text-align: center;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  padding: 10px 0;
  border: 1px solid #74f596;
}

/* checkbox start*/
input[type="checkbox"] {
  appearance: none;
  /* Другие базовые стили */
}

label {
  position: relative;
  padding-left: 30px;
  /* Пространство для кастомного чекбокса */
  cursor: pointer;
}

label::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 18px;
  height: 18px;
  border: 1px solid #ffffff;
  /* Цвет границы */
  background-color: #6ac76a;
  /* Цвет фона */
  border-radius: 2px;
  /* Скруглённые углы */
}

input[type="checkbox"]:checked+label::before {
  background-color: #6ac76a;
  ;
  /* Новый цвет фона при выборе */
  border-color: #ffffff;
  /* Новый цвет границы при выборе */
}

input[type="checkbox"]:checked+label::after {
  content: "";
  position: absolute;
  left: 6px;
  top: 3px;
  width: 5px;
  height: 10px;
  border: solid #fff;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}

/* checkbox end*/

.sidebar a {
  color: rgb(65, 65, 66);
  max-height: fit-content;
}

.sidebar-item:hover {
  color: #c4f7a7;
  background-color: #4caf50;
  font-style: 2rem;
}

.anchor {
  grid-column: 1 / -1;
}

.category-goods {
  grid-column: 1 / -1;
  background-color: rgb(29, 89, 201);
  color: #8fff8f;
  justify-content: center;
  text-align: center;
  font-size: clamp(0.75rem, -1.2rem + 4.27vw, 1.2rem);
  height: max-content;
  position: sticky;
  top: 0px;
  z-index: 3;
}


.monohrom {
  /* = делает отображение монохромным =*/
  filter: brightness(0.95) saturate(80%);
  opacity: 0.5;
}


.productCode {
  font-size: small;
  color: rgb(55, 55, 55);
  position: absolute;
  right: 5%;
  bottom: 0;
}

.grid-item {
  display: grid;
  position: relative;
  grid-template-rows: 65% auto;
  background-color: white;
  /* border-radius: 0.7rem; */
  box-shadow: 0px 0px white, 0px 0px 1px #b2b2b2;
  max-height: 35vh;
  max-width: auto;
  min-height: 300px;
  overflow: hidden;
  transition: all ease .5s;
}

.grid-item-prodano {
  position: absolute;
  width: 90%;
  bottom: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  rotate: -33deg;
  z-index: 10;
}

.grid-item-action {
  grid-column: 1 / -1;
  position: relative;
  display: flex;
  border-radius: 0.7rem;
  box-shadow: 0px 0px white, 0px 0px 5px #b2b2b2;
  min-height: 240px;
  justify-content: center;
}

.img-action {
  max-height: max-content;
  padding: auto;
}

.grid-item:hover {
  transition: all 0.75s;
  box-shadow: 0px 0px 15px 3px rgba(34, 60, 80, 0.6);
  border-radius: 10px;
  transform: translate(0px, -10px);
  z-index: 3;
  scale: 1.05;
}

.item-img-wrapper {
  display: flexbox;
  position: relative;
  padding: auto;
  max-height: 100%;
  max-width: 100%;
  justify-content: center;
  text-align: center;
}

.item-img-wrapper img {
  max-width: 100%;
  max-height: 100%;
  cursor: pointer;

}

.grid-item .new-label {
  position: absolute;
  width: 30%;
  top: 0;
  left: 0;
  z-index: 2;
}


.text-goods-wrapper {
  display: grid;
  grid-template-rows: auto 30%;
  margin-bottom: 0 0 1rem 0;
  text-wrap: balance;
}

.text-goods-name {
  display: flex;
  flex-direction: column;
  margin: auto;
  font-size: clamp(0.8rem, 0.375rem + 1vw, 1rem);
  text-align: center;
  align-items: center;
  color: rgb(57, 57, 57);
  overflow-y: auto;
  line-height: 1;
}

.text-min-qty {
  padding-top: 3px;
  color: #6ac76a;
  font-size: clamp(0.3rem, 0.5rem + 0.89vw, .8rem);
  font-weight: 500;
  text-align: center;
  line-height: 1.1;
}

.code-gods {
  font-size: clamp(0.5rem, 0.5rem + 0.89vw, 1rem);
  line-height: 2;
}

.text-goods-previousPrice {
  /* position: absolute; */
  bottom: 0;
  left: 5%;
  /* font-size: clamp(0.7rem, 0.1rem + 1.96vw, 1rem); */
  color: red;
  text-decoration: line-through;
  width: auto;
  white-space: nowrap;
}

.text-goods-price,
.card-unit {
  text-decoration: none;
  justify-content: end;
  text-align: end;
  padding-right: 5%;
  font-size: 1rem;
  /* display: flex;
  
  font-size: clamp(0.7rem, 0.1rem + 1.96vw, 1.2rem); */
  font-weight: 600;
  color: #59981a;
  /* align-items: center;
  justify-content: flex-end;
  margin-right: 3%; */
}

.card-unit {
  font-size: clamp(1rem, 0.1rem + 1.96vw, 1.3rem);
  padding-bottom: 0.1rem;
  padding-left: 0.2rem;
}

.price-block {
  display: flex;
  justify-content: space-around;
}

.min_sum__wrapper,
.anouns {
  /* display: inline-flex; */
  grid-column: 1 / -1;
  background-color: rgb(242, 242, 199);
  color: blue;
  font-size: 1.3rem;
  border: 2px solid red;
  border-radius: 5px;
  text-align: center;
  align-items: center;
  justify-content: center;
  padding: 15px 0 15px 0;
  margin: 10px 0 10px 0;
  min-width: inherit;
}

.min_sum__wrapper {
  border-radius: 0;
  padding: 5px 0 5px 0;
  margin: 0;
  border: 1px solid #4caf50;
  color: #39853b;
  font-weight: 600;
}

.promotion {
  grid-column: 1 / -1;
  height: 35vh;
  text-align: center;
  position: relative;
}

.promotion-img {
  height: 100%;
  width: auto;
  max-width: 100%;
  max-height: auto;
}